Subject: Re: [PATCH] of: Fix export of of_find_matching_node_and_match()

From: Stephen Warren <[email-masked]>
Date: Wed, 19 Dec 2012 09:24:08 -0700

On 12/19/2012 03:58 AM, Grant Likely wrote:
> Commit 50c8af4cf9, "of: introduce for_each_matching_node_and_match()"
> renamed of_find_matching_node() to of_find_matching_node_and_match() and
> created a new static inline of_find_matching_node() wrapper around the
> new name. However, the change neglected to change the EXPORT_SYMBOL()
> reference causing build errors for modules.
> 
> This patch fixes the EXPORT_SYMBOL() statement. Discovered on a PowerPC
> Efika build with the mpc52xx_uart driver being built as a module.

Oops. The patch is obviously correct,
Reviewed-by: Stephen Warren <[email-masked]>

I guess none of the ARM defconfigs enable any module that uses this,
since I have built all of them multiple times recently:-(